hspec-2.4.3: A Testing Framework for Haskell

Safe Haskell | None
Language | Haskell2010

Test.Hspec.QuickCheck

Contents

- Params
- Shortcuts

Synopsis

- modifyMaxSuccess :: (Int -> Int) -> SpecWith a -> SpecWith a
- modifyMaxDiscardRatio :: (Int -> Int) -> SpecWith a -> SpecWith a
- modifyMaxSize :: (Int -> Int) -> SpecWith a -> SpecWith a
- prop :: (HasCallStack, Testable prop) => String -> prop -> Spec

# Params

modifyMaxSuccess :: (Int -> Int) -> SpecWith a -> SpecWith a #

Use a modified `maxSuccess` for given spec.

modifyMaxDiscardRatio :: (Int -> Int) -> SpecWith a -> SpecWith a #

Use a modified `maxDiscardRatio` for given spec.

modifyMaxSize :: (Int -> Int) -> SpecWith a -> SpecWith a #

Use a modified `maxSize` for given spec.

# Shortcuts

prop :: (HasCallStack, Testable prop) => String -> prop -> Spec #

    prop ".." $
      ..

is a shortcut for

    it ".." $ property $
      ..